search cancel

CA GEN 8.6 with COBOL v6: object code compiled using COBOL v5.1.1.

book

Article ID: 200611

calendar_today

Updated On:

Products

Gen

Issue/Introduction

Regarding CA GEN 8.6 and the COBOL 6 Compatibility Matrix,

https://ftpdocs.broadcom.com/WebInterface/phpdocs/0/MSPSaccount/COMPAT/GEN.HTML#IN000056_GEN086_ADDINFO

the following note is present:

CA GEN 8.6 delivers object code compiled using COBOL V5.1.1.              
Language Environment must include Runtime support for this COBOL
version for the GEN object code to APPLY successfully and execute.

Will both the COBOL v5.1.1 runtime modules as well as COBOL 6 runtime modules need to be present?

 

Environment

CA GEN, release 8.6 

COBOL v6

 

Resolution

It has been confirmed that only the COBOL v6 runtime modules are needed.

CA GEN has been certified with COBOL 6 with no problems reported.

Please also see knowledge article, 30151:
  https://knowledge.broadcom.com/external/article?articleId=30151